GROUPINFO(8) | System Manager's Manual | GROUPINFO(8)

# NAME

`groupinfo` —
displays group information

# SYNOPSIS

`groupinfo` | [`-ev`] group

# DESCRIPTION

The `groupinfo` utility retrieves the group information from the system. The `groupinfo` utility is only available if built with `EXTENSIONS`. See group(8) for more information.

The following command line options are recognised:

`-e`
  Return 0 if the group exists, and non-zero if the group does not exist, on the system. No information is displayed. This form of the command is useful for scripts which need to check whether a particular group name or gid is already in use on the system.
`-v`
  Perform any actions in a verbose manner.

The group argument may either be a group's name, or a gid.

# FILES

/etc/usermgmt.conf

# EXIT STATUS

The `groupinfo` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

passwd(5), group(8)

# HISTORY

The `groupinfo` utility first appeared in NetBSD 1.5. It is based on the addnerd package by the same author.

# AUTHORS

The `groupinfo` utility was written by Alistair G. Crooks ⟨agc@NetBSD.org⟩.

November 7, 2005 | NetBSD 9.4